Page MenuHomePhabricator

urlutil: make `paths` class old list of `path`
ClosedPublic

Authored by marmoute on Apr 15 2021, 8:03 PM.

Details

Summary

We move from a {name → path} mapping to a {name → [path]} mapping. And
update all user code accordingly. For now, all the list contains exactly one
element, but we are now in a good place to make the config understand a list of
url.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

marmoute created this revision.Apr 15 2021, 8:03 PM
baymax updated this revision to Diff 27016.Apr 17 2021, 7:44 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare requested changes to this revision.Apr 29 2021, 9:14 AM
Alphare added a subscriber: Alphare.
Alphare added inline comments.
mercurial/utils/urlutil.py
478–479

Awaiting patiently for Py2 support to be dropped in order to use yield from

537

s/point/points/
s/support/supports/

Same for the others ones

This revision now requires changes to proceed.Apr 29 2021, 9:14 AM
baymax updated this revision to Diff 27207.Apr 29 2021, 1:47 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27235.Apr 30 2021, 8:25 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27419.May 3 2021, 9:52 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.May 6 2021, 12:24 PM
This revision is now accepted and ready to land.May 6 2021, 12:24 PM
pulkit accepted this revision.May 10 2021, 3:20 PM
This revision was automatically updated to reflect the committed changes.